End User License Agreement
Opera for Computers
Last updated: October 16, 2020

This end user license agreement (“EULA”) governs your download
and/or use of the executable code for the Opera for Computers
desktop software application, including any update or upgrade
thereto (“Software”). This EULA forms a binding contract between
you and Opera Norway AS, a Norwegian company with an address at
P.O. Box 4214 Nydalen, NO-0401 Oslo, Norway (“Opera”).

1. This is a contract. This EULA constitutes a contract between
you and Opera. You may not use the Software if you do not accept
the terms in this EULA. By downloading and/or using the Software,
you agree to be bound by all the terms and conditions set forth
in this EULA. If you are under thirteen (13) years of age, or at
least thirteen (13) years of age but a minor where you live, you
must have your parent or legal guardian accept this EULA on your
behalf and approve your use of the Software.

2. You are only granted a limited license to use the Software.
Subject to the terms and conditions of this EULA, Opera hereby
grants you a personal, limited, non-exclusive, non-transferable,
non-sublicensable license to:

(A) use the executable code version of the Software solely as
installed on your personal computer; and

(B) reproduce and distribute the Software solely as included in an
application repository for a desktop open source operating system
distribution PROVIDED THAT in all cases the Software is distributed:
(i) without modification; (ii) free of charge to end-users; and
(iii) with a copy of this EULA. Distribution for embedded open
source operating systems is not permitted. For the avoidance of doubt,
the Software must be distributed without modification (including as
to the default search engine(s) in the Software settings), both at the
time of distribution as well as after the Software is installed.

You may only use the Software as expressly authorized in this
Section 2.

3. You must respect our rights in the Software. Unless expressly
permitted by law, you may not copy, decompile, reverse engineer,
disassemble, attempt to derive the source code of, modify, or create
derivative works of the Software. You may not remove, obscure, or alter
any copyright notice or other proprietary rights notices affixed to or
contained within the Software. You may not separate the component
programs of the Software for use on different computers or sublicense,
lease, rent, loan, or distribute the Software to any third party.
You may not permit, direct or authorize any third party to take any
action with respect to the Software which is inconsistent with the
terms set forth in this EULA.

4. The Software contains our valuable intellectual property. You
acknowledge and agree that the Software, including its sequence,
structure, organization, source code and applicable documentation,
contains valuable trade secrets and other intellectual property of Opera
and its suppliers. The Software is licensed and not sold to you, and
no title or ownership to such Software or the intellectual property
rights embodied therein is granted to you. The Software is the exclusive
property of Opera and its suppliers, and all rights in and to the Software
not expressly granted to you in this Agreement are reserved. Nothing in
this EULA will be deemed to grant, by implication, estoppel or otherwise,
a license under any existing or future patents of Opera, except to the
extent necessary for you to use the Software as expressly permitted under
this EULA. You acknowledge and agree that any actual or threatened breach
of this EULA will constitute immediate, irreparable harm to Opera for
which monetary damages would be an inadequate remedy, and that injunctive
relief is an appropriate remedy for any such breach or violation.

5. Components from third parties may be delivered along with the Software.
The Software is delivered along with certain software components provided
by third parties (“Third Party Software”). Opera shall not be responsible
for any such Third-Party Software. Third-Party Software, particularly open
source software, may be subject to separate license terms included with, or
contained in the setup installation segments of such Third-Party Software.
The terms set forth in this EULA do not apply to Third-Party Software to
the extent they are inconsistent with such Third-Party Software licenses.
This EULA governs your use of the Software in executable form.
Source code for any open source Third-Party Software delivered along with
the Software can be obtained at https://sourcecode.opera.com or by sending
an email message to opensource@opera.com.

6. The Software may provide for access to additional services. Various
services may be offered where available via or as integrated into the
Software (“Services”). By using any such Services, you agreed to the
terms of service at https://legal.opera.com/terms (“Terms of Service”).
The Terms of Service are incorporated into this EULA by this reference.
As is more fully explained in the Terms of Service, some Services are
offered by Opera, others by third parties (which may be subject to 
eparate terms – please refer to the Terms of Service for more information).
Opera reserves the right at any time and from time to time to modify or
discontinue, temporarily or permanently, the Services (or any part thereof)
with or without notice. You agree that Opera shall not be liable to you or
to any third party for any modification, suspension or discontinuance of
the Services.

7. Our Software and Services are ad-supported. The Software is free to
download and our Services are generally provided free of charge. Opera
incurs substantial development, collocation and bandwidth expenses in
doing this. To support our business and continue providing you with the
Software and Services for free, we will display the advertisements of
select partners to you. By using our Software and Services, you consent
to the placement of such advertisements within the Software and Services.

8. Your privacy is important to us. Opera takes the protection and security
of its users’ information very seriously and will treat any and all such
information in accordance with our privacy statement, which is currently
posted at https://legal.opera.com/privacy (“Privacy Statement”). The Privacy
Statement is incorporated into this EULA by this reference. You agree to the
use of your data in accordance with the Privacy Statement.

9. Your license to use the Software terminates if you breach this EULA.
This EULA will commence upon your download of the Software and continue in
perpetuity unless terminated earlier as provided herein. This EULA will
immediately terminate upon your breach of any of the terms or conditions
set forth herein. Upon the termination of the EULA, you will discontinue
all use of the Software, promptly destroy or have destroyed the Software
and any copies thereof, and, upon request by Opera, certify in writing
that such destruction has taken place. These remedies are cumulative and
in addition to any other remedies which may be available. Section 1,
as well as Sections 3 through 14 of this EULA shall survive termination.

10. The Software is provided without any warranties or guarantees.
THE SOFTWARE IS PROVIDED “AS IS”, AND OPERA DISCLAIMS ALL WARRANTIES
WITH REGARD TO THE SOFTWARE WHETHER EXPRESS, IMPLIED OR STATUTORY,
INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF TITLE,
NON-INFRINGEMENT, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR USE,
SATISFACTORY QUALITY, OR QUIET ENJOYMENT. OPERA DOES NOT WARRANT THAT THE
USE OF THE SOFTWARE WILL BE UNINTERRUPTED OR ERROR FREE OR THAT THE SOFTWARE
DOES NOT CONTAIN ANY VIRUSES. THIS WARRANTY DISCLAIMER IS A FUNDAMENTAL
ELEMENT OF THE BASIS OF THE BARGAIN BETWEEN YOU AND OPERA. OPERA WOULD NOT
PROVIDE THE SOFTWARE ABSENT SUCH DISCLAIMER. NO REPRESENTATIONS OR WARRANTIES
ARE MADE BY ANY OF OPERA’S CUSTOMERS OR SUPPLIERS UNDER OR BY VIRTUE OF THIS
AGREEMENT. IF YOU ARE DISSATISFIED WITH ANY PORTION OF THE SOFTWARE, OR WITH
ANY OF THESE TERMS, YOUR SOLE AND EXCLUSIVE REMEDY IS TO DISCONTINUE
USING THE SOFTWARE.

11. Opera is not liable for any damages you may incur.
IN NO EVENT SHALL OPERA, ITS AFFILIATES, OR THEIR RESPECTIVE SUPPLIERS OR
CUSTOMERS BE LIABLE FOR ANY INCIDENTAL, SPECIAL, CONSEQUENTIAL, OR INDIRECT
DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION DAMAGES FOR INTERRUPTION
OF BUSINESS, LOST DATA, LOST PROFITS, OR THE LIKE) REGARDLESS OF THE FORM OF
ACTION, WHETHER IN CONTRACT, TORT (INCLUDING WITHOUT LIMITATION NEGLIGENCE),
PRODUCT LIABILITY, OR OTHER THEORY, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGES. IN NO EVENT WILL THE CUMULATIVE LIABILITY OF OPERA ARISING OUT
OF OR RELATED TO THIS AGREEMENT EXCEED THE AMOUNT PAID TO OPERA IN RESPECT
OF THE SOFTWARE GIVING RISE TO THE CLAIM OR, IF NO FEES WERE PAID, THEN FIVE
HUNDRED EUROS. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF
INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE FOREGOING EXCLUSION AND LIMITATION
MAY NOT APPLY TO YOU. THIS LIMITATION OF LIABILITY WILL APPLY NOTWITHSTANDING
THE FAILURE OF ESSENTIAL PURPOSE OF ANY LIMITED REMEDY SET FORTH HEREIN.
THIS LIMITATION OF LIABILITY IS A FUNDAMENTAL ELEMENT OF THE BASIS OF THE
BARGAIN BETWEEN YOU AND OPERA. OPERA WOULD NOT PROVIDE THE SOFTWARE TO YOU
ABSENT SUCH LIMITATION.

12. This contract is based on Norwegian law. This EULA will be governed by the
laws of Norway without giving effect to any conflicts of law principles that
may require the application of the laws of a different country.
The United Nations Convention on Contracts for the International Sale of Goods
does not apply to this Agreement. All actions or proceedings arising under or
related to this Agreement must be brought in the Oslo City Court, and you hereby
agree to irrevocably submit to the exclusive jurisdiction and venue of any such
court in all such actions or proceedings. Notwithstanding this, you agree that
Opera shall still be allowed to apply for injunctive remedies (or an equivalent
type of urgent legal relief) in any jurisdiction. If any provision of this EULA
is determined by a court of competent jurisdiction to be invalid, illegal,
or unenforceable, the remaining provisions of this EULA shall not be affected
or impaired thereby.

13. Opera may modify these Terms. Opera may update the terms of this EULA,
the Privacy Statement or the Terms of Service. The current version of this EULA
is posted at https://legal.opera.com/eula/computers, the latest version of the
Privacy Statement is posted at https://legal.opera.com/privacy, and the Terms
of Service are posted at https://legal.opera.com/terms. It is your responsibility
to remain informed of any changes as you are bound by the latest version of the
EULA, Privacy Statement and Terms of Service.

14. General. You acknowledge and agree that the Software may contain
cryptographic functionality the export of which may be restricted under
applicable export control law. You will comply with all applicable laws and
regulations in your activities with regard to the Software. You will not export
or re-export the Software in violation of such laws or regulations or without
all required licenses and authorizations. You may not assign or transfer this
contract without obtaining Opera’s prior written consent, and any purported
assignment or transfer in violation of this restriction will be null and void.
